
 DECLARE @uid varchar(1000)
 set @uid =  (select [uid]  FROM [gui_funcionalidad] where id = '1') 

DECLARE @id varchar(1000) 
set @id =	(select id from [gui_funcionalidad] where nombreComando = 'planear' and  id_tipoFuncionalidad = 2 and active = 1)
if not exists ( select * FROM [gui_funcionalidad] where   nombreComando = 'DuplicarItems' and active = 1 and id_funcionalidad = @id)
 BEGIN
 EXECUTE  [dbo].[ins_gui_funcionalidad]
    @uid,
	'01',
	'01',
	'01',
	'Duplicar items',
	'',
	'',
	'',
	'',
	'',
	'',
	'0',
	'doc_documento.ot',
	'DuplicarItems',
	'0',
	@id,
	'5'
	END
set @id =	(select id from [gui_funcionalidad] where  id_tipoFuncionalidad = 2 and active = 1 and  funcionalidad = 'ITEMS' and id_funcionalidad =250)
if not exists ( select * FROM [gui_funcionalidad] where   nombreComando = 'DuplicarItems' and active = 1 and id_funcionalidad = @id)
 BEGIN
  EXECUTE  [dbo].[ins_gui_funcionalidad]
    @uid,
	'01',
	'01',
	'01',
	'Duplicar items',
	'',
	'',
	'',
	'',
	'',
	'',
	'0',
	'doc_documento.requisicion',
	'DuplicarItems',
	'0',
	@id,
	'5'
	END

 set @id =	(select id from [gui_funcionalidad] where nombreComando = 'itemDocumento' and  id_tipoFuncionalidad = 2 and active = 1 and id_funcionalidad = 290)
 
 if not exists ( select * FROM [gui_funcionalidad] where   nombreComando = 'DuplicarItems' and active = 1 and id_funcionalidad = @id)
 BEGIN
	EXECUTE  [dbo].[ins_gui_funcionalidad]
    @uid,
	'01',
	'01',
	'01',
	'Duplicar items',
	'',
	'',
	'',
	'',
	'',
	'',
	'0',
	'doc_documento.ordenCompra',
	'DuplicarItems',
	'0',
	@id,
	'5'
	END
	
set @id =	(select id from [gui_funcionalidad] where nombreComando = 'itemDocumento' and  id_tipoFuncionalidad = 2 and active = 1 and id_funcionalidad = 260)
 if not exists ( select * FROM [gui_funcionalidad] where   nombreComando = 'DuplicarItems' and active = 1 and id_funcionalidad = @id)
 BEGIN
EXECUTE  [dbo].[ins_gui_funcionalidad]
    @uid,
	'01',
	'01',
	'01',
	'Duplicar items',
	'',
	'',
	'',
	'',
	'',
	'',
	'0',
	'doc_documento.cotizacion',
	'DuplicarItems',
	'0',
	@id,
	'5'
	END



set @id =(select id from [gui_funcionalidad] where nombreComando = 'itemDocumento' and  id_tipoFuncionalidad = 2 and active = 1 and id_funcionalidad = 270)
 if not exists ( select * FROM [gui_funcionalidad] where   nombreComando = 'DuplicarItems' and active = 1 and id_funcionalidad = @id)
 BEGIN
EXECUTE  [dbo].[ins_gui_funcionalidad]
    @uid,
	'01',
	'01',
	'01',
	'Duplicar items',
	'',
	'',
	'',
	'',
	'',
	'',
	'0',
	'doc_documento.entrada',
	'DuplicarItems',
	'0',
	@id,
	'5'
	END
	
set @id =(select id from [gui_funcionalidad] where nombreComando = 'itemDocumento' and  id_tipoFuncionalidad = 2 and active = 1 and id_funcionalidad = 280)
 if not exists ( select * FROM [gui_funcionalidad] where   nombreComando = 'DuplicarItems' and active = 1 and id_funcionalidad = @id)
 BEGIN
EXECUTE  [dbo].[ins_gui_funcionalidad]
    @uid,
	'01',
	'01',
	'01',
	'Duplicar items',
	'',
	'',
	'',
	'',
	'',
	'',
	'0',
	'doc_documento.salida',
	'DuplicarItems',
	'0',
	@id,
	'5'
	END

set @id =(select id from [gui_funcionalidad] where nombreComando = 'itemDocumento' and  id_tipoFuncionalidad = 2 and active = 1 and id_funcionalidad = 300)
 if not exists ( select * FROM [gui_funcionalidad] where   nombreComando = 'DuplicarItems' and active = 1 and id_funcionalidad = @id)
 BEGIN
EXECUTE  [dbo].[ins_gui_funcionalidad]
    @uid,
	'01',
	'01',
	'01',
	'Duplicar items',
	'',
	'',
	'',
	'',
	'',
	'',
	'0',
	'doc_documento.traslado',
	'DuplicarItems',
	'0',
	@id,
	'5'
	END



	